Subject: Re: atl1 warn_on_slowpath help

From: Patrick McHardy <[email-masked]>
Date: Wed, 29 Oct 2008 17:40:54 +0100

Jarek Poplawski wrote:
> On Wed, Oct 29, 2008 at 02:26:50PM +0100, Patrick McHardy wrote:
> ...
>> I still don't follow - are you talking about the code with out
>> without this patch? In the later case, why should we call it
>> recursively without the need to do so?
> 
> I mean the current version (e.g. net-2.6). This comment reads that
> netif_nit_deliver() is needed when we bypass netif_receive_skb().
> But we call netif_receive_skb() from __vlan_hwaccel_rx(), and it's
> not clear if some skbs are not tapped 2x.

They could be, but in different states (device, vlan_tci, priority).
Bypassing refers to the first state of the skb.